Skip to main content
`Ctrl`+`K`

# bind_bounding_box

astropy.modeling.bind_bounding_box(modelinstance, bounding_box, ignored=None, order='C')

  Set a validated bounding box to a model instance.

  Parameters:
    modelinstance `Model` instance

      This is the model that the validated bounding box will be set on.

    bounding_box `python:tuple`

      A bounding box tuple, see Efficient Model Rendering with Bounding Boxes for details

    ignored `python:list`

      List of the inputs to be ignored by the bounding box.

    order `python:str`, optional

      The ordering of the bounding box tuple, can be either `'C'` or `'F'`.